Page MenuHomePhabricator

Ship refreshed search bar to stable channel mobile web
Closed, ResolvedPublic3 Story Points

Description

Engineer:

  • Enable the updated search chrome from mobile web beta to the stable channel
  • Verify search field size on Opera Mini takes full available width of screen
  • Cached pages should show the old header design (with note to remove in 7 days)
  • When signing off new task created to remove cached content in 7 days.

Product owner:

Search field is to small

The text doesn't fit to in the search field

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 10 2016, 3:26 PM
Jdlrobson triaged this task as Normal priority.May 10 2016, 5:08 PM
Nirzar added a subscriber: Nirzar.May 11 2016, 4:23 PM

@dr0ptp4kt

Monitor https://discovery.wmflabs.org/

this doesn't track beta channel where we are shipping the T129955

Right - this is for the stable channel.

@Nirzar and I discussed and I've removed T134955: Search overlay drops 1px when you type into input as a blocker. That can be worked independently.

Jdlrobson updated the task description. (Show Details)May 31 2016, 4:43 PM

@Nirzar how should we deal with cached pages?
We can either

  • Do nothing and have inconsistent headers on several pages
  • Add JavaScript to correct headers on old cached pages (but incur a noticeable flash of unstyled content)
  • Other..?

I would suggest we go with the first option. Any objections?

Do nothing and have inconsistent headers on several pages

+1

dr0ptp4kt updated the task description. (Show Details)May 31 2016, 4:53 PM
dr0ptp4kt updated the task description. (Show Details)May 31 2016, 5:16 PM
Jdlrobson updated the task description. (Show Details)Jun 1 2016, 3:14 PM
Jdlrobson updated the task description. (Show Details)Jun 1 2016, 4:19 PM
Jdlrobson set the point value for this task to 3.Jun 1 2016, 4:22 PM

Change 294644 had a related patch set uploaded (by Bmansurov):
WIP: Promote the enhanced search bar to stable

https://gerrit.wikimedia.org/r/294644

Change 294644 merged by jenkins-bot:
Promote the enhanced search bar to stable

https://gerrit.wikimedia.org/r/294644

bmansurov removed bmansurov as the assignee of this task.Jun 20 2016, 9:00 PM
bmansurov added a subscriber: bmansurov.

Looks great

phuedx updated the task description. (Show Details)Jun 22 2016, 9:18 AM
phuedx added a subscriber: phuedx.

I've changed "30 days" to "7 days" given that the Varnish TTL caps were decreased to 7 days recently.

phuedx closed this task as Resolved.Jun 23 2016, 9:00 AM
phuedx claimed this task.
dr0ptp4kt reopened this task as Open.Jun 28 2016, 12:52 PM

Restoring status to Open while we wait for the change to take force on group 2 servers. The group 2 train was stuck at the station last Thursday.

phuedx removed phuedx as the assignee of this task.Jun 29 2016, 7:56 AM

@dr0ptp4kt I'm seeing the new search bar on all servers... can you clarify what we are waiting for?

@Jdlrobson, this part.

Product owner:

I too saw the updated search bar just today. Let's see how the data show up over the next couple days.

dr0ptp4kt closed this task as Resolved.Jul 1 2016, 9:24 PM
dr0ptp4kt added subscribers: debt, Deskana.

Signing off.

Heads up, @debt and @Deskana, the updated search chrome is now in place and the latest data on the dashboard for Mobile Web seems to suggest no telling downward trend (it suggests maybe an increase in volume, but we'll see if it's temporary).